# Interface GatewayMsg

#### Hierarchy

- GatewayMsg

- Defined in definitions/src/protocols/ibc.ts:30

#####
Index

### Properties

chain
fee
nonce
payload?
recipient

## Properties

### chain

chain: 2 | 1 | 3 | 8 | 5 | 6 | 4 | 22 | 7 | 9 | 10 | 11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20 | 21 | 23 | 24 | 25 | 26 | 28 | 29 | 30 | 32 | 33 | 3104 | 4000 | 4001 | 4002 | 10002 | 10003 | 10004 | 10005 | 10006

- Defined in definitions/src/protocols/ibc.ts:31

### fee

fee: string

- Defined in definitions/src/protocols/ibc.ts:33

### nonce

nonce: number

- Defined in definitions/src/protocols/ibc.ts:34

### `Optional` payload

payload?: string

- Defined in definitions/src/protocols/ibc.ts:35

### recipient

recipient: string

- Defined in definitions/src/protocols/ibc.ts:32

Generated using TypeDoc